Contact:

Andrea Aime

Tracker:

http://jira.codehaus.org/browse/GEOT-3654

Tagline:

I can haz 6?

Children:

Description

Java 5 has gone past it's used by date and is no longer easily available for the developer
community to work with. While we have had a large portion of our user community "stuck" with Java 5 in the past (in order to maintain enterprise edition applications) it is now time to move on.

This proposal is for:

This combination allows us to check out Java 6 issues early; while reducing the length of time we must back port bug fixes. Note this overhead is greater than normal due to the requirement to have two separate environments.

Status

Voting is underway:

Tasks

 

no progress

(tick)

done

(error)

impeded

(warning)

lack mandate/funds/time

(question)

volunteer needed

  1. (tick) aa: check build in Java 6 an apply eventual patches
  2. (tick) jd: Update hudson configuration
  3. Update developers guide build instructions
  4. Update user guide

Java 5 Volunteers

The GeoTools 2.7 has the option to grow into a "long term" support target (as was the case with GeoTools 2.2).

This is of course dependent on downstream projects continuing to require Java 5 support for their customers; and in turn receiving funding to make additional stable releases.

If this has happened to your project please join the development list and volunteer;
to make an additional release. The release process is well documented and we can help set you up with credentials for both maven and source forge.

Community Feedback

Developer Community feedback: